Subject: Re: [RFC] QoS: frg queue (was [RFC] QoS: new per flow queue)

From: Wang Jian <[email-masked]>
Date: Fri, 22 Apr 2005 20:04:38 +0800

Hi Thomas Graf,

On Fri, 22 Apr 2005 13:11:00 +0200, Thomas Graf <[email-masked]> wrote:

> 
> I had another look at your code and noticed the GFP_KERNEL masked
> kmalloc call in perflow_new_flow() called from perflow_enqueue(),
> you must change that to GFP_ATOMIC due to softirq context.

Acked. I will prepare another patch and put it online later.

-- 
  lark